const menus = [
  {
    id: 'dashboard',
    name: 'Dashboard',
    icon: 'MdOutlineHome',
    multilevel: false,
    url: '/admin/dashboard',
    role: ['admin'],
  },
  {
    id: 'categories',
    name: 'Categories',
    icon: 'BiCategory',
    multilevel: false,
    url: '/admin/categories',
    role: ['admin'],
  },
  {
    id: 'courses',
    name: 'Courses',
    icon: 'BiArchive',
    multilevel: false,
    url: '/admin/courses',
    role: ['admin', 'instructor'],
  },
  {
    id: 'subscription-plan',
    name: 'Subscription Plan',
    icon: 'BiPackage',
    multilevel: false,
    url: '/admin/subscription-plan',
    role: ['admin'],
  },
  {
    id: 'instruments',
    name: 'Instruments',
    icon: 'GiGrandPiano',
    multilevel: true,
    opensub: false,
    url: '#',
    child: [
      {
        id: 'instrument-category',
        name: 'Category',
        url: '/admin/instrument-category',
        isChild: true,
        role: ['admin'],
      },
      {
        id: 'instruments-list',
        name: 'List',
        url: '/admin/instruments',
        isChild: true,
        role: ['admin'],
      },
    ],
    role: ['admin'],
  },
  // {
  //   id: 'instruments',
  //   name: 'Instruments',
  //   icon: 'GiGrandPiano',
  //   multilevel: false,
  //   url: '/admin/instruments',
  //   role: ['admin'],
  // },
  {
    id: 'users',
    name: 'Users',
    icon: 'FaUsers',
    multilevel: false,
    url: '/admin/users',
    role: ['admin'],
  },
  {
    id: 'blogs',
    name: 'Blogs',
    icon: 'BsNewspaper',
    multilevel: false,
    url: '/admin/blogs',
    role: ['admin', 'editor'],
  },
  {
    id: 'portfolio',
    name: 'Portfolio',
    icon: 'BsImages',
    multilevel: false,
    url: '/admin/portfolio',
    role: ['admin', 'editor'],
  },
  {
    id: 'history-referral',
    name: 'Referral History',
    icon: 'FaHistory',
    multilevel: false,
    url: '/admin/referral-history',
    role: ['admin'],
  },
  {
    id: 'enrolment',
    name: 'Enrolment',
    icon: 'FaNetworkWired',
    multilevel: true,
    opensub: false,
    url: '#',
    child: [
      {
        name: 'Enrol history',
        url: '/admin/enrolhistory',
        isChild: true,
        role: ['admin'],
      },
      // {
      //   name: 'Enrol student',
      //   url: '/admin/student',
      // },
    ],
    role: ['admin'],
  },
  {
    id: 'report',
    name: 'Report',
    icon: 'HiOutlineDocumentReport',
    multilevel: true,
    opensub: false,
    url: '#',
    child: [
      {
        name: 'Admin revenue',
        url: '/admin/report/adminrevenue',
        isChild: true,
        role: ['admin'],
      },
      {
        name: 'Instructor revenue',
        url: '/admin/report/instructorrevenue',
        isChild: true,
        role: ['admin', 'instructor'],
      },
    ],
    role: ['admin', 'instructor'],
  },
  {
    id: 'setting',
    name: 'Setting',
    icon: 'FiSettings',
    multilevel: true,
    opensub: false,
    url: '#',
    child: [
      {
        id: 'setting-1',
        name: 'System setting',
        url: '/admin/setting/systemsetting',
        isChild: true,
        role: ['admin'],
      },
      {
        id: 'setting-2',
        name: 'Firebase notification',
        url: '/admin/setting/firebase-notif',
        isChild: true,
        role: ['admin'],
      },
    ],
    role: ['admin'],
  },
];
export default menus;
